Section "ServerLayout"
	Identifier "wavehhscreens"

# active 1: when nvidia drivers are installed

#	Screen 0 "screen0-on-pcie1nvidia-sceptre"
#	Screen 1 "screen1-on-pcie1nvidia" LeftOf "screen0-on-pcie1nvidia"
#	Screen 1 "screen1-on-pcie1nvidia-hp" LeftOf "screen0-on-pcie1nvidia"

	Screen 0 "screen0-on-pcie1nvidia-hp"
#	Screen 1 "screen1-on-pcie1nvidia-dell" RightOf "screen0-on-pcie1nvidia-hp"
#        Screen 2 "screen0-on-pci0nvidia-sceptre" RightOf "screen1-on-pcie1nvidia-dell"

#	Screen 2 "tv-on-pcinvidia" LeftOf "screen0-on-agpnvidia"
#	Screen 3 "screen-on-tv-on-pcinvidia" LeftOf "tv-on-pcinvidia"

# active 2: when nvidia drivers are not installed

#	Screen 0 "one-screen-on-nv"


# other stuff

#	Screen 0 "screen0-on-pcinvidia"
#	Screen 1 "screen-on-radeon" RightOf "screen0-on-pcinvidia"
#	Screen 2 "tv-on-pcinvidia" RightOf "screen-on-radeon"

#	Screen 0 "screen-on-radeon"
#	Screen 1 "screen0-on-pcinvidia" RightOf "screen-on-radeon"

	InputDevice "Keyboard0" "CoreKeyboard"

	InputDevice "MSIE" "CorePointer"
#	InputDevice "ps2mouse" "AlwaysCore"
#	InputDevice "pad"

	InputDevice    "stylus" "SendCoreEvents"
	InputDevice    "eraser" "SendCoreEvents"
	InputDevice    "cursor" "SendCoreEvents"

#	InputDevice "MSIE" "CorePointer"
#	InputDevice "ps2mouse" "AlwaysCore"
#	InputDevice "ps2mouse" "CorePointer"
EndSection

Section "Module"
	Load	"dbe"

# This loads the miscellaneous extensions module, and disables
# initialisation of the XFree86-DGA extension within that module.

	SubSection	"extmod"
#		Option	"omit xfree86-dga"
	EndSubSection

	Load	"glx"
	Load	"dri"

	Load	"type1"
	Load	"freetype"
EndSection

Section "DRI"
	Mode 0666
EndSection

Section "ServerFlags"
#        Option  "AllowSHMPixmaps" "1"
	Option	"blank time"	"1"
	Option	"standby time"	"2"
	Option	"suspend time"	"3"
	Option	"off time"	"4"
#	Option	"XkbDisable"
#	Option "Xinerama" "on"
EndSection

Section "InputDevice"
	Identifier		"Keyboard0"
	Driver	"kbd"
	Option	"Xleds"		"1 2 3"
	Option	"XkbDisable"
	Option	"LLeftAlt"	"Meta"

#	Option	"AutoRepeat"	"500 5"

#	Option	"XkbModel"	"pc102"
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
EndSection

Section "InputDevice"

# Identifier and driver

	Identifier	"Mouse1"
	Driver		"mouse"
	Option		"Device"	"/dev/mouse"
	Option		"Protocol"	"AUTO"
#	Option		"Protocol"	"PS/2"
#	Option		"Protocol"	"IMPS/2"
#	Option		"Protocol"	"ExplorerPS/2"
	Option		"Buttons" 	"7"
	Option		"ZAxisMapping"	"4 5"
#	Option	"Emulate3Buttons"
#	Option	"Emulate3Timeout"	"300"
EndSection

Section "InputDevice"
	Identifier	"MSIE"
	Driver		"mouse"
	Option		"Device"	"/dev/input/mice"
#	Option		"Device"	"/dev/mouse"
	Option		"Protocol"	"ExplorerPS/2"
	Option		"Buttons" 	"9"
	Option		"ZAxisMapping"	"4 5"
	Option		"Resolution"	"200"
EndSection

Section "InputDevice"
	Identifier  "ps2mouse"
	Driver      "mouse"
	Option	    "Protocol" "PS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

#Section "InputDevice"
#	Driver		"wacom"
#	Identifier	"pad"
#	Option		"Device"	"/dev/input/event3"
#	Option		"Type"		"pad"
#	Option		"USB"		"on"
#EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Mode 		"640x480"
	DotClock	25.175
	HTimings	640 664 760 800
	VTimings	480 491 493 525
	EndMode
EndSection

section "Monitor"
	Identifier	"cratv"
	HorizSync	30-50
	VertRefresh	60
EndSection

section "Monitor"
	Identifier	"noki"
	VendorName	"Nokia"
	ModelName	"Multigraph 445X"
#	Bandwidth	200
	HorizSync	30 - 102
	VertRefresh	50 - 120

#	ModeLine "1600x1200"  188.58 1600 1792 1856 2208   1200 1202 1205 1256
#	ModeLine "1280x1024"  135    1280 1312 1456 1712   1024 1027 1030 1064
#	ModeLine "1152x900"    95    1152 1152 1192 1472    900  900  931  939

	Modeline "1600x1200"  170 1600 1708 1712 2018 1280 1312 1315 1400
	Modeline "1280x1024"  135 1280 1376 1480 1664  1024 1050 1053 1120
	Modeline "1152x900"   135  1152 1296 1424 1536	900 925 928 980
#	ModeLine "1024x768"    60 1024 1128 1240 1344 768 778 782 808
	ModeLine "1024x768"   85 1024 1032 1152 1360 768 784 787 823
	ModeLine "800x600"    50 800  856  976  1040  600 637 643 666
	ModeLine "640x480"    25.175 640 664 760 800 480 491 493 525
EndSection

section "Monitor"
	Identifier	"a90"
	VendorName	"Viewsonic"
	ModelName	"A90"
#	Bandwidth	200
	HorizSync	30 - 102
	VertRefresh	50 - 120

#	ModeLine "1600x1200"  188.58 1600 1792 1856 2208   1200 1202 1205 1256
#	ModeLine "1280x1024"  135    1280 1312 1456 1712   1024 1027 1030 1064
#	ModeLine "1152x900"    95    1152 1152 1192 1472    900  900  931  939

	Modeline "1600x1200cra" 162.0 1600 1664 1856 2160   1200 1201 1204 1250
	Modeline "1280x1024"  135 1280 1376 1480 1664  1024 1050 1053 1120
	Modeline "1152x900"   135  1152 1296 1424 1536	900 925 928 980
#	ModeLine "1024x768"    60 1024 1128 1240 1344 768 778 782 808
	ModeLine "1024x768"   85 1024 1032 1152 1360 768 784 787 823
	ModeLine "800x600"    50 800  856  976  1040  600 637 643 666
	ModeLine "640x480"    25.175 640 664 760 800 480 491 493 525
EndSection

section "Monitor"
	Identifier	"scott"
	VendorName	"Scott"
	ModelName	"Scott Billigmistding von Macromarkt"
#	Bandwidth	200
	HorizSync	30 - 72
	VertRefresh	50 - 120

# working
#	ModeLine "1152x900" 90 1152 1176 1234 1464 900 906 914 943
#	ModeLine "1024x768"   85 1024 1032 1152 1360 768 784 787 823
#	ModeLine "800x600"    50 800  856  976  1040  600 637 643 666
#	ModeLine "640x480"    25.175 640 664 760 800 480 491 493 525

# not working
#	ModeLine "1600x1200"  188.58 1600 1792 1856 2208   1200 1202 1205 1256
#	ModeLine "1280x1024"  135    1280 1312 1456 1712   1024 1027 1030 1064
#	ModeLine "1152x900"    95    1152 1152 1192 1472    900  900  931  939

#	Modeline "1600x1200"  170 1600 1708 1712 2018 1280 1312 1315 1400
#	Modeline "1280x1024"  135 1280 1376 1480 1664  1024 1050 1053 1120
#	Modeline "1152x900"   135  1152 1296 1424 1536	900 925 928 980
#	ModeLine "1024x768"    60 1024 1128 1240 1344 768 778 782 808
EndSection

section "Monitor"
	Identifier	"hita"
	VendorName	"Hitachi"
	ModelName	"SuperScan Elite 751"
#	Bandwidth	200
	HorizSync	31 - 93
	VertRefresh	50 - 160
	Modeline "1600x1200cra" 160.0 1600 1664 1856 2160   1200 1201 1204 1250
endsection

section "Monitor"
	Identifier	"wang"
	VendorName	"wang"
	ModelName	"billigdrecksding"
#	Bandwidth	200
	HorizSync	31 - 47
	ModeLine "1024x768i" 44 1024 1064 1224 1264 768 777 785 817 interlace
	VertRefresh	50 - 100
endsection

section "Monitor"
	Identifier	"MAG"
	VendorName	"MAG"
	ModelName	"968FS"
#	Bandwidth	200
	HorizSync	30 - 86
	VertRefresh	50 - 160
	DisplaySize	365 260
	Modeline "1600x1200cra" 160.0 1600 1664 1856 2160   1200 1201 1204 1250
#	Modeline "1400x1050cramag" 155.80   1400 1476 1796 1844   1050 1053 1064 1112
#	Modeline "1400x1050"   155.80   1400 1436 1756 1860   1050 1053 1064 1112
#	Modeline "1400x1050cramag"   155.80   1400 1436 1756 1860   1050 1053 1064 1096
	Modeline "1400x1050cramag"   130.80   1400 1440 1728 1816   1050 1050 1057 1089


	Option	"dpms"
endsection

Section "Monitor"
	Identifier	"Dell2405"
	VendorName	"Dell"
	ModelName	"Dell 2405FPW"
	Modeline "1920x1200dell2" 161.75 1920 2020 2052 2184  1200 1202 1208 1235 -hsync -vsync
	Modeline "1920x1200dell3" 154.128 1920 1968 2000 2080  1200 1203 1209 1235 -hsync -vsync
	Option      	"dpms"
	HorizSync	30 - 81
	VertRefresh	56 - 76
#	Bandwidth	165
EndSection

Section "Monitor"
	Identifier      "pf795"
	VendorName      "Viewsonic"
	ModelName       "pf795"
#       Bandwidth       260
	HorizSync       30 - 260
	VertRefresh     50 - 260
#	Modeline "1600x1200"  170 1600 1708 1712 2018 1280 1312 1315 1400
#	Modeline "emacs"      135 840 1120 1224 1664   1024 1050 1053 1120

#       junk
#       Modeline "1400x1040"  127.88 1400 1432 1912 1944 1040 1061 1071 1093
#        Modeline "1400x1050cra" 155.80   1400 1476 1796 1844   1050 1053 1064 1112
EndSection

Section "Device"
	Identifier	"Generic VGA"
	Driver	"vga"
EndSection

Section "Device"
	Identifier  "radeon"
	Driver      "radeon"
#	Driver      "ati"
	VendorName  "Videocard vendor"
	BoardName   "ATI Radeon 8500LE"
	VideoRam    131072
	BusID       "PCI:1:0:0"
EndSection

Section "Device"
	Identifier	"agpnv"
	Driver		"nv"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - first screen"
	BusID		"PCI:1:0:0"
	Screen		0
EndSection

Section "Device"
	Identifier	"agpnvidia0"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - first screen"
	BusID		"PCI:1:0:0"
	Screen		0
        Option		"ConnectedMonitor" "CRT"
EndSection

Section "Device"
	Identifier	"agpnvidia1"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the AGP slot - second screen"
	BusID		"PCI:2:0:0"
	Screen		1
#	Option		"ConnectedMonitor" "DFP-1"
#	Option		"Coolbits" "1"
EndSection

Section "Device"
	Identifier	"pcie1nvidia0"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the first PCIe slot - first screen"
	BusID		"PCI:01:0:0"
	Screen		0
	Option		"UseDisplayDevice" "DFP-1"
#	Option		"UseDisplayDevice" "CRT"
	Option		"Coolbits" "1"
#        Option          "AllowSHMPixmaps" "1"
EndSection

Section "Device"
	Identifier	"pcie1nvidia1"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the first PCIe slot - second screen"
	BusID		"PCI:01:0:0"
	Screen		1
	Option		"UseDisplayDevice" "DFP-1"
	Option		"Coolbits" "1"
#        Option          "AllowSHMPixmaps" "1"
EndSection

Section "Device"
	Identifier	"pci0nvidia0"
	Driver		"nvidia"
	VendorName	"Videocard vendor"
	BoardName	"Whatever NVidia is in the first PCIe slot - second screen"
	BusID		"PCI:05:0:0"
	Screen		0
	Option		"UseDisplayDevice" "DFP-0"
	Option		"Coolbits" "1"
#        Option          "AllowSHMPixmaps" "1"
EndSection

Section "Device"
	Identifier	"cra-pci-nvidia0"
	Driver		"nvidia"
#	BusID		"PCI:3:10:0"
	BusID		"PCI:3:13:0" # decimal! Don't use lspci output
        Option		"ConnectedMonitor" "TV"
	Screen		0
#	Option		"NoLogo"
EndSection

Section "Device"
	Identifier	"cra-pci-nvidia1"
	Driver		"nvidia"
#	BusID		"PCI:3:10:0"
	BusID		"PCI:3:13:0" # decimal! Don't use lspci output
        Option		"ConnectedMonitor" "CRT"
	Screen		1
	Option		"NoLogo"
EndSection

Section "Device"
	# SVGA server auto-detected chipset
	Identifier	"G-400 32MB"
	Driver		"mga"
	VendorName	"Matrox"
	BoardName	"Millenium G-400 with 32 MB RAM"
	VideoRam	32768
#	Option		"AgpMode2x"
EndSection

Section "Device"
	# SVGA server auto-detected chipset
	Identifier	"G-400 16MB"
	Driver		"mga"
	VendorName	"Matrox"
	BoardName	"Millenium G-400 with 16 MB RAM"
	VideoRam	16384
#	Option		"AgpMode2x"
EndSection

Section "Device"
	# SVGA server auto-detected chipset
	Identifier	"ragemobi"
	Driver		"ati"
#	Driver		"r128"
	VideoRam	4096
#	VendorName	"Matrox"
#	BoardName	"Millenium G-400 with 16 MB RAM"
#	VideoRam	16384
#	Option		"AgpMode2x"
EndSection

Section "Device"
	# SVGA server auto-detected chipset
	Identifier	"itanvidia"
	Driver		"nv"
#	VideoRam	4096
#	VendorName	"Matrox"
#	BoardName	"Millenium G-400 with 16 MB RAM"
#	VideoRam	16384
#	Option		"AgpMode2x"
EndSection

Section "Device"
	Identifier	"wald-s3v"
	Driver		"s3virge"
	Option		"SyncOnGreen"
EndSection

Section "Screen"
	Identifier		"screen-on-radeon"
#	Driver	  		"svga"
#	Device	  		"G-400 32MB"
	Device	  		"radeon"
#	Monitor			"hita"
	Monitor			"MAG"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
			"1400x1050cramag"
			"1280x1024"
			"1152x864"
#			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
			"320x240"
	EndSubsection
EndSection


Section "Screen"
	Identifier		"one-screen-on-nv"
	Device	  		"agpnv"
	Monitor			"MAG"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
			"1400x1050cramag"
			"1280x1024"
			"1152x864"
			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
			"320x240"
	EndSubsection
EndSection

Section "Screen"
	Identifier		"screen0-on-agpnvidia"
	Device	  		"agpnvidia0"
	Monitor			"MAG"
#	Monitor			"pf795"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
			"1400x1050cramag"
			"1280x1024"
			"1152x864"
			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
			"320x240"
	EndSubsection
EndSection

Section "Screen"
	Identifier	"screen1-on-agpnvidia"
	Device     	"agpnvidia1"
	Monitor    	"Dell2405"
	DefaultDepth	24
	SubSection	"Display"
		Viewport   	0 0
		Depth     	24
		Modes
				"1920x1200dell2"
				"1920x1200dell3"
				"1600x1200"
				"1400x1050"
				"1280x1024"
				"1280x960"
				"1152x864"
				"1024x768"
				"800x600"
				"640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier		"screen0-on-pcie1nvidia-sceptre"
	Device	  		"pcie1nvidia0"
	Monitor			"MAG"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
#			"1400x1050cramag"
			"1280x1024"
			"1152x864"
			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
			"320x240"
	EndSubsection
EndSection

Section "Screen"
	Identifier	"screen0-on-pcie1nvidia-hp"
	Device     	"pcie1nvidia0"
	Monitor    	"Dell2405"
	DefaultDepth	24
#	Option		"Rotate" "Right"
	SubSection	"Display"
		Viewport   	0 0
		Depth     	24
		Modes
				"1600x1200"
				"1400x1050"
				"1280x1024"
				"1280x960"
				"1152x864"
				"1024x768"
				"800x600"
				"640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier	"screen1-on-pcie1nvidia-dell"
	Device     	"pcie1nvidia1"
	Monitor    	"Dell2405"
	DefaultDepth	24
	SubSection	"Display"
		Viewport   	0 0
		Depth     	24
		Modes
				"1920x1200dell2"
				"1920x1200dell3"
				"1600x1200"
				"1400x1050"
				"1280x1024"
				"1280x960"
				"1152x864"
				"1024x768"
				"800x600"
				"640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier	"screen0-on-pci0nvidia-sceptre"
	Device     	"pci0nvidia0"
	Monitor    	"Sceptre"
	DefaultDepth	24
	SubSection	"Display"
		Viewport   	0 0
		Depth     	24
		Modes
#				"1600x1200"
#				"1400x1050"
				"1280x1024"
				"1280x960"
				"1152x864"
				"1024x768"
				"800x600"
				"640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier "screen-on-tv-on-pcinvidia"
	Device	  		"cra-pci-nvidia1"
#	Monitor			"cratv"
	Monitor			"MAG"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
#			"1400x1050cramag"
#			"1280x1024"
#			"1152x864"
#			"1024x768i"
			"1024x768"
			"800x600"
			"640x480"
#			"320x240"
	EndSubsection
EndSection

Section "Screen"
	Identifier		"tv-on-pcinvidia"
	Device	  		"cra-pci-nvidia0"
	Monitor			"MAG"
#	Monitor			"cratv"
#        Option			"TVStandard" "NTSC-M"
        Option			"ConnectedMonitor" "TV"
	DefaultColorDepth 	24
	Subsection "Display"
		Depth		24
		Modes 
#			"1600x1280"
#			"1600x1200"
#			"1600x1200cra"
#			"1400x1050cramag"
#			"1280x1024"
#			"1152x864"
#			"1024x768i"
#			"1024x768"
#			"800x600"
			"640x480"
#			"320x240"
	EndSubsection
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "stylus"
  Option        "Device"        "/dev/input/wacom"
  Option        "Type"          "stylus"
  Option        "USB"           "on"
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "eraser"
  Option        "Device"        "/dev/input/wacom"
  Option        "Type"          "eraser"
  Option        "USB"           "on"
EndSection

Section "InputDevice"
  Driver        "wacom"
  Identifier    "cursor"
  Option        "Device"        "/dev/input/wacom"
  Option        "Type"          "cursor"
  Option        "USB"           "on"
EndSection

# This section is for Intuos3, CintiqV5, Graphire4, or Bamboo
Section "InputDevice"
  Driver        "wacom"
  Identifier    "pad"
  Option        "Device"        "/dev/input/wacom"
  Option        "Type"          "pad"
  Option        "USB"           "on"
EndSection

# This section is for the TabletPC that supports touch
Section "InputDevice"
  Driver        "wacom"
  Identifier    "touch"
  Option        "Device"        "/dev/input/wacom"
  Option        "Type"          "touch"
  Option        "USB"           "on"
EndSection
